%define upstream_name    Mouse
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Moose minus the antlers
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SA/SARTAK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl-devel
Provides:   perl-Moose-implementation

%description
the Moose manpage is wonderful.

Unfortunately, it's a little slow. Though significant progress has been
made over the years, the compile time penalty is a non-starter for some
applications.

Mouse aims to alleviate this by providing a subset of Moose's
functionality, faster. In particular, the Moose/has manpage is missing only
a few expert-level features.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 370375
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.20.0-1.mga3
+ Revision: 286358
- update to 1.02

* Wed Jul 04 2012 jquelin <jquelin> 0.990.0-1.mga3
+ Revision: 267444
- update to 0.99

* Wed May 30 2012 jquelin <jquelin> 0.970.0-2.mga3
+ Revision: 250958
- rebuild for perl 5.16

* Sun Nov 06 2011 jquelin <jquelin> 0.970.0-1.mga2
+ Revision: 164281
- update to 0.97

* Wed Jun 15 2011 jquelin <jquelin> 0.930.0-1.mga2
+ Revision: 107200
- update to 0.93

* Sun Jun 12 2011 jquelin <jquelin> 0.920.0-2.mga2
+ Revision: 104608
- perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 0.920.0-1.mga1
+ Revision: 88547
- update to 0.92

* Mon Mar 14 2011 jquelin <jquelin> 0.910.0-1.mga1
+ Revision: 70994
- update to 0.91

* Tue Feb 22 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 56651
- update to 0.90

* Thu Feb 10 2011 jquelin <jquelin> 0.890.0-1.mga1
+ Revision: 49735
- fixspec
- update to 0.89

* Sat Jan 22 2011 jquelin <jquelin> 0.880.0-1.mga1
+ Revision: 32220
- mageia rebuild
- imported package perl-Mouse

